Bug 26799 - Remove the use of jquery.checkboxes plugin from patron payment page
Summary: Remove the use of jquery.checkboxes plugin from patron payment page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks: 26806 26006
  Show dependency treegraph
 
Reported: 2020-10-23 13:51 UTC by Owen Leonard
Modified: 2020-11-03 09:59 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26799: Remove the use of jquery.checkboxes plugin from patron payment page (2.30 KB, patch)
2020-10-23 14:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26799: Remove the use of jquery.checkboxes plugin from patron payment page (2.36 KB, patch)
2020-10-24 20:15 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 26799: Remove the use of jquery.checkboxes plugin from patron payment page (2.42 KB, patch)
2020-10-25 01:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-23 13:51:34 UTC
The patron payment page in the staff interface (pay.tt) includes the jquery.checkboxes plugin which is old and unmaintained. It should be replaced.
Comment 1 Owen Leonard 2020-10-23 14:08:15 UTC
Created attachment 112276 [details] [review]
Bug 26799: Remove the use of jquery.checkboxes plugin from patron payment page

This patch removes the use of the jquery.checkboxes plugin from the
patron payment screen (members/pay.tt).

To test, apply the patch and locate a patron with unpaid fines.

- View the "Accounting" page for that patron.
- In the table of outstanding fines, test the "Select all" and "Clear
  all" links work correctly to check the checkboxes corresponding to
  each fine.
- Confirm that the "Select all" action enables the "Pay selected" and
  "Write off selected" buttons.
- Confirm that the "Clear all" action disables the "Pay selected" and
  "Write off selected" buttons.
Comment 2 Lisette Scheer 2020-10-24 20:15:47 UTC
Created attachment 112397 [details] [review]
Bug 26799: Remove the use of jquery.checkboxes plugin from patron payment page

This patch removes the use of the jquery.checkboxes plugin from the
patron payment screen (members/pay.tt).

To test, apply the patch and locate a patron with unpaid fines.

- View the "Accounting" page for that patron.
- In the table of outstanding fines, test the "Select all" and "Clear
  all" links work correctly to check the checkboxes corresponding to
  each fine.
- Confirm that the "Select all" action enables the "Pay selected" and
  "Write off selected" buttons.
- Confirm that the "Clear all" action disables the "Pay selected" and
  "Write off selected" buttons.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 3 Katrin Fischer 2020-10-25 01:23:03 UTC
Created attachment 112442 [details] [review]
Bug 26799: Remove the use of jquery.checkboxes plugin from patron payment page

This patch removes the use of the jquery.checkboxes plugin from the
patron payment screen (members/pay.tt).

To test, apply the patch and locate a patron with unpaid fines.

- View the "Accounting" page for that patron.
- In the table of outstanding fines, test the "Select all" and "Clear
  all" links work correctly to check the checkboxes corresponding to
  each fine.
- Confirm that the "Select all" action enables the "Pay selected" and
  "Write off selected" buttons.
- Confirm that the "Clear all" action disables the "Pay selected" and
  "Write off selected" buttons.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:31 UTC
Pushed to master for 20.11, thanks to everybody involved!